Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/utils/RecsProcessorPowerInterface.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/utils/RecsProcessorPowerInterface.java	(revision 1305)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/utils/RecsProcessorPowerInterface.java	(revision 1420)
@@ -5,6 +5,6 @@
 import schedframe.resources.ResourceStatus;
 import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.EnergyEventType;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEventType;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.PowerProfile;
@@ -35,5 +35,5 @@
 				resource.setStatus(ResourceStatus.FREE);
 			}
-			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getFullName()));		
+			resource.handleEvent(new ResourceEvent(ResourceEventType.POWER_STATE_CHANGED, resource.getFullName()));		
 		}
 
@@ -69,5 +69,5 @@
 			//speed.setAmount(Double.valueOf(currentPState.getFrequency()).intValue());
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
-			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getFullName()));
+			resource.handleEvent(new ResourceEvent(ResourceEventType.CPU_FREQUENCY_CHANGED, resource.getFullName()));
 			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeEEP.java	(revision 1312)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeEEP.java	(revision 1420)
@@ -5,5 +5,5 @@
 
 import schedframe.resources.computing.Node;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -11,5 +11,5 @@
 public class RecsNodeEEP extends RecsNodeBaseEEP {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		double powerConsumption = 0;
 		Node node = (Node) resource;
@@ -36,5 +36,5 @@
 	}
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		
 		double power1 = 0;
Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeModelEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1367)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1420)
@@ -14,5 +14,5 @@
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.resources.units.PEUnit;
@@ -42,5 +42,5 @@
 	static int MISSED = 0;
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCpuEEP.java	(revision 1301)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCpuEEP.java	(revision 1420)
@@ -2,5 +2,5 @@
 
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -9,5 +9,5 @@
 public class RecsCpuEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		
Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCoreEEP.java	(revision 1301)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsCoreEEP.java	(revision 1420)
@@ -1,5 +1,5 @@
 package test.thermal.recs.plugins.energy;
 
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -8,5 +8,5 @@
 public class RecsCoreEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry,
 			PhysicalResource resource) {
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsFanEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsFanEEP.java	(revision 1312)
+++ DCWoRMS/branches/coolemall/src/test/thermal/recs/plugins/energy/RecsFanEEP.java	(revision 1420)
@@ -3,5 +3,5 @@
 import example.energy.BaseEnergyEstimationPlugin;
 
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
 import schedframe.resources.devices.Device;
 import schedframe.resources.devices.PhysicalResource;
@@ -10,10 +10,10 @@
 public class RecsFanEEP extends BaseEnergyEstimationPlugin {
 
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		
 		return ThermalConstants.fanPower;
 	}
 	
-	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		
 		double temp = 0;
